//
//  TSThemeSetRingToneView.swift
//  AIRingtone
//
//  Created by 100Years on 2025/3/3.
//

class TSThemeSetRingToneView: TSThemeSetItemView {
    
    let cellView = TSRingToneCellView()
    
    override func creatUI() {
        super.creatUI()
        titleLabel.text = "Ringtone".localized
        numImageView.image = UIImage(named: "num_1")
        iconImageView.image = UIImage(named: "theme_icon_ringtone")
        diyView.addSubview(cellView)
        cellView.snp.makeConstraints { make in
            make.top.bottom.equalToSuperview()
            make.width.equalTo(k_ScreenWidth-56)
            make.height.equalTo(72)
            make.center.equalToSuperview()
        }
    }
    
    override func dealThings() {
    }
    
    func setClickPlayHandel(click:((Bool)->Void)?) {
        cellView.clickPlayHandel = click
    }
}


class TSThemeSetPosterView: TSThemeSetItemView {
    let netWorkImageView = UIImageView()
    override func creatUI() {
        super.creatUI()
        titleLabel.text = "Contact Poster".localized
        numImageView.image = UIImage(named: "num_2")
        iconImageView.image = UIImage(named: "theme_icon_poster")
//        setBtn.setTitle("Download".localized, for: .normal)
        netWorkImageView.cornerRadius = 12.0
        diyView.addSubview(netWorkImageView)
        netWorkImageView.snp.makeConstraints { make in
            make.top.bottom.equalToSuperview()
            make.width.equalTo(140)
            make.height.equalTo(272)
            make.center.equalToSuperview()
        }
    }
}

class TSThemeSetPhotorView: TSThemeSetItemView {
    let netWorkImageView = UIImageView()
    override func creatUI() {
        super.creatUI()
        titleLabel.text = "Contact Photo".localized
        netWorkImageView.cornerRadius = 80
        numImageView.image = UIImage(named: "num_3")
        iconImageView.image = UIImage(named: "theme_icon_photo")
        
        diyView.addSubview(netWorkImageView)
        netWorkImageView.snp.makeConstraints { make in
            make.top.bottom.equalToSuperview()
            make.width.equalTo(160)
            make.height.equalTo(160)
            make.center.equalToSuperview()
        }
    }
}
